
library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_unsigned.all;

----------------------------------------------------------------------------------------------------

entity CmdROM is
port(
	  Clk  : in  std_logic;
	i_Addr : in  std_logic_vector( 12 downto 0 );
	o_Data : out std_logic_vector( 13 downto 0 ) );
end entity;

----------------------------------------------------------------------------------------------------

architecture Bhv of CmdROM is

----------------------------------------------------------------------------------------------------
-- constant
----------------------------------------------------------------------------------------------------

type ARY_DATA is array( 0 to 2 ** i_Addr'length - 1 ) of std_logic_vector( o_Data'range );
constant Datas : ARY_DATA := (
#

----------------------------------------------------------------------------------------------------

begin

----------------------------------------------------------------------------------------------------
-- process
----------------------------------------------------------------------------------------------------

process( Clk )
begin
	if( rising_edge( Clk ) ) then
		o_Data <= Datas( conv_integer( i_Addr ) );
	end if;
end process;

----------------------------------------------------------------------------------------------------

end architecture;
